Subject: Re: your mail

From: Zheng Gengbing <[email-masked]>
Date: Thu, 11 Apr 1996 17:20:06 +0800 (EAT)

On Wed, 10 Apr 1996, Guansong Zhang wrote:

> On Apr 10, 10:31am, Zheng Gengbing wrote:
> > Subject: Re: Merging include and basicop
> 
> > 	I think instead of creating a mixed library , we should divid the
> > lib into two different one . One for read & write of dep , another for
> > the creation of the AST . That make things clear .
> 
> >From this I can see you fully understand what I said in previous letters. I am
> not fussy. Sometimes it is not that simple to let two mind think as one over
> such a long distance. Lots of times HIT can not understand me! It is really my
> pleasure to have someone like you to work with in so far as in PKU!
>

	Thanks . I also feel our work is challenging , think that we work 
together from thousands miles away .  

> I agree with you that the lib should be splited, in fact this lib first be
> constructed by on the HIT student. I'd say the work is not done very well. When
> I restructure the project, I add r&w in this lib. That are only two functions
> shared by different dir. The other functions can not serve as lib but
> subrotines to hpf2dep.
> 
> So I intent to improve them.
> 
> Temporarily, let's just leave the functions there. This can save us energy on
> maitaining one more directory. As we make them better, we may split them, or as
> far as we make them clear enough in the documentation, there is no signifant
> differenc to keep them in one dir or two.
> 
> Agree with me?
> 

	Ok.  That's really not a critical problem .

> Another thing, I have send two files about autoconfig to you, I don't try html
> version myself, hope it work. The ps version needs around 110 pages. You may
> print it out.
> 

	Thank you very much . 
        I am now reading some source codes (shell script) of autoconf . 
I find it exciting , I learn a lot from the authors on shell programming . 

> For a moment, I won't have time to keep update your progress on configuration.
> There are lots of bugs remained in frontend still. I am sure you can do the job
> very well. My suggestion is as your progress, keep telling HIT and me how you
> design it, so we may provide some opinions.
> 
> For example, I think the default installation place should be project root,
> instead of /usr/local/
> 
> I don't know if this is allowed in autoconfig.
>

	I can modify configure itself to set the default prefix to project 
root. But I don't know how to set it in  configure.in  (an input file of 
autoconf to create configure ) .

        The current configure is a very simple one . It only contains
the set of   prefix , libdir , bindir , includedir , and
CC , YACC , LEX . 

***************************************************************************
*     Zheng Gengbin                 *                                     *
*                                   *                                     *
*  Dept. of Computer Science        *  Phone:  86-10-2585088              *
*         & Technology              *  Email:                             *
*                                   *      [email-masked]   *
*  Peking University P.R.China      *  Mail:                              *
*                                   *      Room 1077 ,Building 47,        *
*                                   *      Peking University, P.R.China   *
***************************************************************************